Bug 104474 - up2date problem after using up2date
up2date problem after using up2date
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: openssl (Show other bugs)
beta1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-15 21:19 EDT by Jesse Hulsey
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 10:47:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Hulsey 2003-09-15 21:19:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
updated all packages using up2date. openssl-0.9.7a-16 worked openssl-0.9.7a-17 
does not, get the below error:

> Traceback (most recent call last):
>   File "/usr/sbin/up2date", line 20, in ?
>     from up2date_client import up2dateAuth
>   File "up2dateAuth.py", line 5, in ?
>   File "rpcServer.py", line 15, in ?
>   File "/usr/lib/python2.2/socket.py", line 41, in ?
>     from _socket import *
> ImportError: /lib/libssl.so.4: undefined symbol: 
krb5_cc_get_principal


I reinstalled openssl-0.9.7a-16 on top and it works now.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.update packages up2date and openssl from 0.9.7a-16 to 0.9.7a-16
2.will get error in description when running up2date

Actual Results:  > Traceback (most recent call last):
>   File "/usr/sbin/up2date", line 20, in ?
>     from up2date_client import up2dateAuth
>   File "up2dateAuth.py", line 5, in ?
>   File "rpcServer.py", line 15, in ?
>   File "/usr/lib/python2.2/socket.py", line 41, in ?
>     from _socket import *
> ImportError: /lib/libssl.so.4: undefined symbol: 
krb5_cc_get_principal

Expected Results:  should have opened up2date

Additional info:
Comment 1 Terry Linhardt 2003-09-20 17:26:14 EDT
I had the identical problem in my environment. The "fix" was to roll-back to a
previous release (openssl-0.9.7a-16). The installation of openssl-0.9.7a-17,
which was installed via the up2date GUI, seems to have caused up2date itself to
get broken. Error messages were identical with those reported by original bug
reporter. The fix was the same (roll back).  I've seen at least 3 people report
this on the discussion list....Terry Linhardt  (linhardt@swbell.net)
Comment 2 Tomas Mraz 2005-02-04 10:47:23 EST
This is a problem in unsupported product.

Note You need to log in before you can comment on or make changes to this bug.